<!doctype html>

<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">

  <title>👋 Hello World 🌍</title>
  <meta name="description" content="A simple Riot.js Template for new projects.">
  <meta name="author" content="k33g">

  <link rel="stylesheet" href="css/bulma.min.css">

</head>

<body>

    <main-app></main-app>

    <!-- include riot.js and the compiler -->
    <script src="/js/riot+compiler.min.js"></script>
    <script src="/tags/app-title.riot" type="riot"></script>
    <script src="/tags/button-say-hello.riot" type="riot"></script>
    <script src="/tags/main-app.riot" type="riot"></script>

		<script>
      
      riot.compile().then( _ => {

        riot.mount('app-title')
        riot.mount('button-say-hello')
        riot.mount('main-app', {message: "🖐 hello world"}) 
        // props: {message: "hello world"}
      })
      
		</script>

</body>
</html>